package com.analogbit.puzzletools.client.slidingblocks.gui;

import com.analogbit.puzzletools.client.slidingblocks.state.Block;

/**
 * Receives the events for a GridDisplay
 */
public interface GridDisplayListener {
	void onGridMouseDown(Block blockDown, int gridX, int gridY, int clientX, int clientY);
	void onGridMouseMove(int gridX, int gridY, int clientX, int clientY);
	void onGridMouseUp(boolean clicked, int gridX, int gridY, int clientX, int clientY);
	void onGridContextMenu(Block blockDown, int gridX, int gridY, int clientX, int clientY);
}
