package com.analogbit.puzzletools.client.util;

/**
 * Remedy for GWT not supporting clone()
 */
public interface DeepCloneable {
	/**
	 * Creates a deep clone, no exceptions.
	 * @return A deep clone of this object.
	 */
	Object deepClone();

}
